Subject: RE: libtool-devel and kde2 - problem with AC_PROG_CXX
From: "Ralf Habacker" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: "Robert Collins" <[email-masked]>, "Charles Wilson" <[email-masked]>
Date: Thu, 17 Jan 2002 15:49:49 +0100

Robert Collins wrote:

> Quoting from the fink site (it was handy):
> "The current development branch: This is the development version that
> will some day be released as libtool 1.5. It has resulted from the merge
> of 1.4 and the MLB. It supports C, C++ and Java (via gcj).
> Unfortunately, it can't be easily told apart from 1.4, you'll have to
> check the version number inside ltmain.sh."
>
> For the _last time_, the devel libtool DOES NOT and WILL NOT  create
> ltconfig. Don't expect it, because its NOT MEANT TO create it.

It does not create ltconfig, but it need it as you could see in my last mail

>checking if libtool supports shared libraries... yes
>checking how to run the C++ preprocessor... g++ -E
>admin/ltconfig: Can't open admin/ltconfig: No such file or directory
>configure: error: libtool tag configuration failed

I have searched in the libtool cvs on subversions.gnu.org and seen that on 20010531 the merge
of the mlb code wasn't ready. You can verify this by unpacking the recent
libtool-devel-20010531-6.tar.bz2 and looking in the libtool.m4 if there are references to
ltconfig.

If you follow the below mentioned link you can see that the tag creation support was
completed at 2001 Jun 24 , so the libtool from 20010531 can't contain full tag creation
support. !!!!

----- ChangeLog entry ---------------------------------------

Complete the new configure time tags creation facility based on
the ltcf-*.sh and ltconfig.in files from multi-language-branch:
* libtool.m4:  More refactoring and reformatting.
(_LT_AC_LANG_GCJ_CONFIG): Merged ltcf-gcj.sh from
multi-language-branch.
(_LT_AC_LANG_CXX_CONFIG): Merged ltcf-cxx.sh from
multi-language-branch.
* configure.in (AC_PROG_CXX, LT_AC_PROG_GCJ): Compiler checks must
be done before AC_PROG_LIBTOOL which appends tags based on their
results.
http://subversions.gnu.org/cgi-bin/cvsweb/libtool/libtool.m4?rev=1.171&content-type=text/x-cv
sweb-markup

----------------------------------------------------------------

I have appended a patched libtool.m4 from the libtool cvs HEAD release numver 1.245 and
patched mostly of the changes Charles provided in the rc5 diffs and got a working CXX/GCJ/RC
tag creating. Try it. It may not be complete for all cases, but I think you are able to
verify this.

Ralf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/